
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/web:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI WebUI Host',
    'entry_points': {
        'backendai_cli_v10': [
            'web = ai.backend.web.cli:main',
            'web.start-server = ai.backend.web.server:main',
        ],
    },
    'install_requires': (
        'Jinja2~=3.1.4',
        'PyJWT~=2.0',
        'aiohttp_cors~=0.7',
        'aiohttp~=3.10.8',
        'aiotools~=1.7.0',
        """backend.ai-cli==24.09.1rc2
""",
        """backend.ai-client==24.09.1rc2
""",
        """backend.ai-common==24.09.1rc2
""",
        """backend.ai-logging==24.09.1rc2
""",
        """backend.ai-plugin==24.09.1rc2
""",
        'click~=8.1.7',
        'coloredlogs~=15.0',
        'pycryptodome>=3.20.0',
        'setproctitle~=1.3.2',
        'setuptools~=75.1.0',
        'tomli~=2.0.1',
        'trafaret~=2.1',
        'types-Jinja2',
        'types-setuptools',
        'uvloop~=0.20.0; sys_platform != "Windows"',
        'yarl~=1.13.1',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Web Server

[![GitHub version](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver.svg)](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver) [![PyPI version](https://badge.fury.io/py/backend.ai-webserver.svg)](https://badge.fury.io/py/backend.ai-webserver)

A webapp hosting daemon which serves our `webui` as a SPA and proxies API requests


## Installation

Prepare a Python virtualenv (Python 3.9 or higher) and a Redis server (6.2 or higher).

```console
$ git clone https://github.com/lablup/backend.ai-webserver webserver
$ cd webserver
$ pip install -U -e .
$ cp webserver.sample.conf webserver.conf
```

## Mode

If `service.mode` is set "webui" (the default), the webserver handles
PWA-style fallbacks (e.g., serving `index.html` when there are no matching
files for the requested URL path).
The PWA must exclude `/server` and `/func` URL prefixes from its own routing
to work with the webserver's web sessions and the API proxy.

If it is set "static", the webserver serves the static files as-is,
without any fallbacks or hooking, while preserving the `/server` and `/func`
prefixed URLs and their functionalities.

If you want to serve web UI in webserver with "webui" mode, prepare static web UI source by choosing one of the followings.

### Option 1: Build web UI from source

Build **[backend.ai-webui](https://github.com/lablup/backend.ai-webui)** and copy all files under `build/bundle`
into the `src/ai/backend/web/static` directory.

### Option 2: Use pre-built web UI

To download and deploy web UI from pre-built source, do the following:

```console
cd src/ai/backend/web
curl --fail -sL https://github.com/lablup/backend.ai-webui/releases/download/v$TARGET_VERSION/backend.ai-webui-bundle-$TARGET_VERSION.zip > /tmp/bai-webui.zip
rm -rf static
mkdir static
cd static
unzip /tmp/bai-webui.zip
```
### Setup configuration for webserver

You don't have to write `config.toml` for the web UI as this webserver auto-generates it on-the-fly.

Edit `webserver.conf` to match with your environment.


## Usage

To execute web server, run command below. (for debugging, append a `--debug` flag)


```console
$ python -m ai.backend.web.server
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-webserver',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.web': (
            'VERSION',
            'py.typed',
            'static/asset-manifest.json',
            'static/config.toml',
            'static/dist/components/backend-ai-agent-summary-view-ClF01Y3S.js',
            'static/dist/components/backend-ai-change-forgot-password-view-BQlQTj7N.js',
            'static/dist/components/backend-ai-credential-view-5Acy5Gfy.js',
            'static/dist/components/backend-ai-data-view-CjrxSfPs.js',
            'static/dist/components/backend-ai-edu-applauncher-BnGscy4z.js',
            'static/dist/components/backend-ai-email-verification-view-DxrcnIHm.js',
            'static/dist/components/backend-ai-environment-view-RFHRT9nb.js',
            'static/dist/components/backend-ai-error-view-CQ1Hs_T4.js',
            'static/dist/components/backend-ai-import-view-BYlDlOjd.js',
            'static/dist/components/backend-ai-list-status-CjXf2ZH4.js',
            'static/dist/components/backend-ai-maintenance-view-DTyACaSt.js',
            'static/dist/components/backend-ai-multi-select-OltczwZr.js',
            'static/dist/components/backend-ai-permission-denied-view-CwBc9kyO.js',
            'static/dist/components/backend-ai-resource-group-list-CLrQIOa2.js',
            'static/dist/components/backend-ai-resource-monitor-BLiuagjt.js',
            'static/dist/components/backend-ai-serving-view-DgIOSrzk.js',
            'static/dist/components/backend-ai-session-launcher-BVQvFdWs.js',
            'static/dist/components/backend-ai-session-view-g2nX1Rbx.js',
            'static/dist/components/backend-ai-session-view-next-Ds6gkGqV.js',
            'static/dist/components/backend-ai-settings-view-D09e5arU.js',
            'static/dist/components/backend-ai-statistics-view-DgZBSh9t.js',
            'static/dist/components/backend-ai-storage-host-settings-view-Cn5jLSFx.js',
            'static/dist/components/backend-ai-storage-proxy-list-BTt3SA9E.js',
            'static/dist/components/backend-ai-summary-view-CRW9mN0I.js',
            'static/dist/components/backend-ai-webui-DDgiEQ8A.js',
            'static/dist/components/backend-ai-webui.js',
            'static/dist/components/lablup-activity-panel-DTwwLrVC.js',
            'static/dist/components/lablup-grid-sort-filter-column-BH_CFus6.js',
            'static/dist/components/lablup-loading-spinner-Clsyl5rX.js',
            'static/dist/components/lablup-progress-bar-D6tN2SzX.js',
            'static/dist/components/mwc-check-list-item-DDtuDJtO.js',
            'static/dist/components/mwc-formfield-B9xL3pKJ.js',
            'static/dist/components/mwc-switch-3GZYhcOo.js',
            'static/dist/components/mwc-tab-bar-CPRdx4tw.js',
            'static/dist/components/slider-DTFqACqN.js',
            'static/dist/components/vaadin-grid-filter-column-tdWQLd9x.js',
            'static/dist/components/vaadin-iconset-Bek0H3_B.js',
            'static/dist/components/vaadin-item-CBhrgdOz.js',
            'static/dist/components/vaadin-item-mixin-4ySLH_En.js',
            'static/index.html',
            'static/manifest.json',
            'static/manifest/app.js',
            'static/manifest/backend-ai.icns',
            'static/manifest/backend-ai.ico',
            'static/manifest/backend-ai.iconset/icon_128x128@1x.png',
            'static/manifest/backend-ai.iconset/icon_128x128@2x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@1x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@2x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@1x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@2x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@1x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@2x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@1x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@2x.png',
            'static/manifest/backend.ai-brand-simple-bgdark.svg',
            'static/manifest/backend.ai-brand-simple.svg',
            'static/manifest/backend.ai-text-bgdark.svg',
            'static/manifest/backend.ai-text.svg',
            'static/manifest/favicon.ico',
            'static/resources/antdThemeConfig.schema.json',
            'static/resources/app_template.json',
            'static/resources/badge-dark.svg',
            'static/resources/badge.svg',
            'static/resources/custom.css',
            'static/resources/device_metadata.json',
            'static/resources/device_metadata.schema.json',
            'static/resources/documents/privacy-policy.en.html',
            'static/resources/documents/privacy-policy.ko.html',
            'static/resources/documents/terms-of-service.en.html',
            'static/resources/documents/terms-of-service.ko.html',
            'static/resources/fonts/fa-brands-400.woff',
            'static/resources/fonts/fa-brands-400.woff2',
            'static/resources/fonts/fa-regular-400.woff',
            'static/resources/fonts/fa-regular-400.woff2',
            'static/resources/fonts/fa-solid-900.woff',
            'static/resources/fonts/fa-solid-900.woff2',
            'static/resources/fonts/font-awesome-all.min.css',
            'static/resources/fonts/font-awesome.css',
            'static/resources/fonts/fonts.css',
            'static/resources/fonts/material-icons-outlined.woff2',
            'static/resources/fonts/material-icons-round.woff2',
            'static/resources/fonts/material-icons-sharp.woff2',
            'static/resources/fonts/material-icons-two-tone.woff2',
            'static/resources/fonts/material-icons.woff2',
            'static/resources/fonts/roboto-v19-latin-100.woff',
            'static/resources/fonts/roboto-v19-latin-100.woff2',
            'static/resources/fonts/roboto-v19-latin-100italic.woff',
            'static/resources/fonts/roboto-v19-latin-100italic.woff2',
            'static/resources/fonts/roboto-v19-latin-300.woff',
            'static/resources/fonts/roboto-v19-latin-300.woff2',
            'static/resources/fonts/roboto-v19-latin-300italic.woff',
            'static/resources/fonts/roboto-v19-latin-300italic.woff2',
            'static/resources/fonts/roboto-v19-latin-900.woff',
            'static/resources/fonts/roboto-v19-latin-900.woff2',
            'static/resources/fonts/roboto-v19-latin-900italic.woff',
            'static/resources/fonts/roboto-v19-latin-900italic.woff2',
            'static/resources/fonts/roboto-v19-latin-italic.woff',
            'static/resources/fonts/roboto-v19-latin-italic.woff2',
            'static/resources/fonts/roboto-v19-latin-regular.woff',
            'static/resources/fonts/roboto-v19-latin-regular.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bold.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bolditalic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-italic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-regular.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300.woff',
            'static/resources/fonts/ubuntu-v14-latin-300.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500.woff',
            'static/resources/fonts/ubuntu-v14-latin-500.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700.woff',
            'static/resources/fonts/ubuntu-v14-latin-700.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff2',
            'static/resources/i18n/de.json',
            'static/resources/i18n/el.json',
            'static/resources/i18n/en.json',
            'static/resources/i18n/es.json',
            'static/resources/i18n/fi.json',
            'static/resources/i18n/fr.json',
            'static/resources/i18n/id.json',
            'static/resources/i18n/it.json',
            'static/resources/i18n/ja.json',
            'static/resources/i18n/ko.json',
            'static/resources/i18n/mn.json',
            'static/resources/i18n/ms.json',
            'static/resources/i18n/pl.json',
            'static/resources/i18n/pt-BR.json',
            'static/resources/i18n/pt.json',
            'static/resources/i18n/ru.json',
            'static/resources/i18n/th.json',
            'static/resources/i18n/tr.json',
            'static/resources/i18n/vi.json',
            'static/resources/i18n/zh-CN.json',
            'static/resources/i18n/zh-TW.json',
            'static/resources/icons/LICENSE.md',
            'static/resources/icons/apache-spark.svg',
            'static/resources/icons/aws.png',
            'static/resources/icons/azure.png',
            'static/resources/icons/c.svg',
            'static/resources/icons/caffe.png',
            'static/resources/icons/caffe2.svg',
            'static/resources/icons/ceph.png',
            'static/resources/icons/check-list.svg',
            'static/resources/icons/classification.svg',
            'static/resources/icons/cpp.svg',
            'static/resources/icons/default.png',
            'static/resources/icons/default_app.svg',
            'static/resources/icons/file_type_cuda.svg',
            'static/resources/icons/file_type_python.svg',
            'static/resources/icons/filebrowser.svg',
            'static/resources/icons/flux.png',
            'static/resources/icons/furiosa.svg',
            'static/resources/icons/gaudi.svg',
            'static/resources/icons/gcc.png',
            'static/resources/icons/gcp.png',
            'static/resources/icons/gdrive.png',
            'static/resources/icons/h2o.png',
            'static/resources/icons/haskell.png',
            'static/resources/icons/javascript.png',
            'static/resources/icons/julia.png',
            'static/resources/icons/jupyter.png',
            'static/resources/icons/jupyterlab.png',
            'static/resources/icons/kitty.png',
            'static/resources/icons/lablup.png',
            'static/resources/icons/local.png',
            'static/resources/icons/lua.png',
            'static/resources/icons/matlab.png',
            'static/resources/icons/mlflow.png',
            'static/resources/icons/mxnet.svg',
            'static/resources/icons/nbp.png',
            'static/resources/icons/nni.png',
            'static/resources/icons/nni.svg',
            'static/resources/icons/nodejs.png',
            'static/resources/icons/novnc.svg',
            'static/resources/icons/npu_generic.svg',
            'static/resources/icons/nvidia.png',
            'static/resources/icons/octave.png',
            'static/resources/icons/openstack.png',
            'static/resources/icons/orbit.svg',
            'static/resources/icons/php.png',
            'static/resources/icons/purestorage.png',
            'static/resources/icons/python.png',
            'static/resources/icons/pytorch.svg',
            'static/resources/icons/r-lang.svg',
            'static/resources/icons/rebel.svg',
            'static/resources/icons/rocm.svg',
            'static/resources/icons/rust.svg',
            'static/resources/icons/sftp.png',
            'static/resources/icons/sftp2.png',
            'static/resources/icons/swift-tensorflow.png',
            'static/resources/icons/swift.svg',
            'static/resources/icons/tensorflow.png',
            'static/resources/icons/terminal.svg',
            'static/resources/icons/texlive.png',
            'static/resources/icons/tpu.svg',
            'static/resources/icons/ubuntu.svg',
            'static/resources/icons/vscode.svg',
            'static/resources/icons/xfce.png',
            'static/resources/icons/xrdp.svg',
            'static/resources/image_metadata.json',
            'static/resources/images/401_unauthorized_access.svg',
            'static/resources/images/404_not_found.svg',
            'static/resources/images/launcher-background.png',
            'static/resources/images/loading-background-large.jpg',
            'static/resources/images/loading-background.jpg',
            'static/resources/images/web-terminal-guide-1.png',
            'static/resources/images/web-terminal-guide-2.png',
            'static/resources/images/web-terminal-guide-3.png',
            'static/resources/images/web-terminal-guide-4.png',
            'static/resources/menu_icons/icon_create_a_key_pair.svg',
            'static/resources/menu_icons/icon_keypair_management.svg',
            'static/resources/menu_icons/icon_upload_files.svg',
            'static/resources/storage_metadata.json',
            'static/resources/templates/under_construction.html',
            'static/resources/theme.json',
            'static/resources/theme.schema.json',
            'static/resources/webui.css',
            'static/src/lib/bundles/webcomponents-ce.js',
            'static/src/lib/bundles/webcomponents-ce.js.map',
            'static/src/lib/bundles/webcomponents-pf_dom.js',
            'static/src/lib/bundles/webcomponents-pf_dom.js.map',
            'static/src/lib/bundles/webcomponents-pf_js.js',
            'static/src/lib/bundles/webcomponents-pf_js.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce.js',
            'static/src/lib/bundles/webcomponents-sd-ce.js.map',
            'static/src/lib/bundles/webcomponents-sd.js',
            'static/src/lib/bundles/webcomponents-sd.js.map',
            'static/src/lib/web-animations-js/web-animations-next-lite.min.js',
            'static/src/lib/webcomponents-loader.js',
            'static/static/js/1013.6a19910d.chunk.js',
            'static/static/js/1013.6a19910d.chunk.js.map',
            'static/static/js/1264.ce43b946.chunk.js',
            'static/static/js/1264.ce43b946.chunk.js.map',
            'static/static/js/1360.949cdcfc.chunk.js',
            'static/static/js/1360.949cdcfc.chunk.js.LICENSE.txt',
            'static/static/js/1360.949cdcfc.chunk.js.map',
            'static/static/js/1466.8ed27c1a.chunk.js',
            'static/static/js/1466.8ed27c1a.chunk.js.map',
            'static/static/js/147.fd55773f.chunk.js',
            'static/static/js/147.fd55773f.chunk.js.map',
            'static/static/js/1507.2a67b48b.chunk.js',
            'static/static/js/1507.2a67b48b.chunk.js.LICENSE.txt',
            'static/static/js/1507.2a67b48b.chunk.js.map',
            'static/static/js/1569.373e43d2.chunk.js',
            'static/static/js/1569.373e43d2.chunk.js.map',
            'static/static/js/1641.1735058e.chunk.js',
            'static/static/js/1641.1735058e.chunk.js.map',
            'static/static/js/1800.18fe274d.chunk.js',
            'static/static/js/1800.18fe274d.chunk.js.LICENSE.txt',
            'static/static/js/1800.18fe274d.chunk.js.map',
            'static/static/js/1806.f67cca7f.chunk.js',
            'static/static/js/1806.f67cca7f.chunk.js.map',
            'static/static/js/1972.f90ec550.chunk.js',
            'static/static/js/1972.f90ec550.chunk.js.map',
            'static/static/js/2218.7e7d306a.chunk.js',
            'static/static/js/2218.7e7d306a.chunk.js.map',
            'static/static/js/2442.a346f512.chunk.js',
            'static/static/js/2442.a346f512.chunk.js.map',
            'static/static/js/251.50cae2d7.chunk.js',
            'static/static/js/251.50cae2d7.chunk.js.map',
            'static/static/js/2842.28011c77.chunk.js',
            'static/static/js/2842.28011c77.chunk.js.map',
            'static/static/js/2871.57116b63.chunk.js',
            'static/static/js/2871.57116b63.chunk.js.map',
            'static/static/js/2963.7ac4fa0e.chunk.js',
            'static/static/js/2963.7ac4fa0e.chunk.js.LICENSE.txt',
            'static/static/js/2963.7ac4fa0e.chunk.js.map',
            'static/static/js/3209.f1bba875.chunk.js',
            'static/static/js/3209.f1bba875.chunk.js.map',
            'static/static/js/3263.cf600fa4.chunk.js',
            'static/static/js/3263.cf600fa4.chunk.js.map',
            'static/static/js/329.88a8b248.chunk.js',
            'static/static/js/329.88a8b248.chunk.js.map',
            'static/static/js/350.aecac249.chunk.js',
            'static/static/js/350.aecac249.chunk.js.LICENSE.txt',
            'static/static/js/350.aecac249.chunk.js.map',
            'static/static/js/3559.b86343f5.chunk.js',
            'static/static/js/3559.b86343f5.chunk.js.map',
            'static/static/js/3575.96bb9b60.chunk.js',
            'static/static/js/3575.96bb9b60.chunk.js.map',
            'static/static/js/3638.94507910.chunk.js',
            'static/static/js/3638.94507910.chunk.js.map',
            'static/static/js/376.2cea8065.chunk.js',
            'static/static/js/376.2cea8065.chunk.js.LICENSE.txt',
            'static/static/js/376.2cea8065.chunk.js.map',
            'static/static/js/3809.5c0c392b.chunk.js',
            'static/static/js/3809.5c0c392b.chunk.js.map',
            'static/static/js/3850.e78f8e2c.chunk.js',
            'static/static/js/3850.e78f8e2c.chunk.js.map',
            'static/static/js/4569.2339cf2f.chunk.js',
            'static/static/js/4569.2339cf2f.chunk.js.map',
            'static/static/js/4639.dcb661a8.chunk.js',
            'static/static/js/4639.dcb661a8.chunk.js.map',
            'static/static/js/4703.cb1c7259.chunk.js',
            'static/static/js/4703.cb1c7259.chunk.js.map',
            'static/static/js/4753.07b3d1bc.chunk.js',
            'static/static/js/4753.07b3d1bc.chunk.js.map',
            'static/static/js/4842.e217cec2.chunk.js',
            'static/static/js/4842.e217cec2.chunk.js.map',
            'static/static/js/5164.7c5735bd.chunk.js',
            'static/static/js/5164.7c5735bd.chunk.js.map',
            'static/static/js/532.757f914d.chunk.js',
            'static/static/js/532.757f914d.chunk.js.map',
            'static/static/js/5403.2dfd3b3d.chunk.js',
            'static/static/js/5403.2dfd3b3d.chunk.js.map',
            'static/static/js/5547.4a504786.chunk.js',
            'static/static/js/5547.4a504786.chunk.js.map',
            'static/static/js/5555.af2151d2.chunk.js',
            'static/static/js/5555.af2151d2.chunk.js.map',
            'static/static/js/5560.71628b89.chunk.js',
            'static/static/js/5560.71628b89.chunk.js.map',
            'static/static/js/5842.3ac621ac.chunk.js',
            'static/static/js/5842.3ac621ac.chunk.js.map',
            'static/static/js/5917.7832e397.chunk.js',
            'static/static/js/5917.7832e397.chunk.js.map',
            'static/static/js/5968.f29a28a6.chunk.js',
            'static/static/js/5968.f29a28a6.chunk.js.map',
            'static/static/js/612.9e7f9dce.chunk.js',
            'static/static/js/612.9e7f9dce.chunk.js.map',
            'static/static/js/669.fc358c38.chunk.js',
            'static/static/js/669.fc358c38.chunk.js.map',
            'static/static/js/6901.8846c65a.chunk.js',
            'static/static/js/6901.8846c65a.chunk.js.map',
            'static/static/js/7045.edc85065.chunk.js',
            'static/static/js/7045.edc85065.chunk.js.map',
            'static/static/js/7190.0acd242a.chunk.js',
            'static/static/js/7190.0acd242a.chunk.js.map',
            'static/static/js/7298.d5de9037.chunk.js',
            'static/static/js/7298.d5de9037.chunk.js.map',
            'static/static/js/7561.7c6544ea.chunk.js',
            'static/static/js/7561.7c6544ea.chunk.js.map',
            'static/static/js/7731.7d3b44c0.chunk.js',
            'static/static/js/7731.7d3b44c0.chunk.js.map',
            'static/static/js/8120.2bd05717.chunk.js',
            'static/static/js/8120.2bd05717.chunk.js.LICENSE.txt',
            'static/static/js/8120.2bd05717.chunk.js.map',
            'static/static/js/8174.939a287c.chunk.js',
            'static/static/js/8174.939a287c.chunk.js.map',
            'static/static/js/8463.03fc9f1a.chunk.js',
            'static/static/js/8463.03fc9f1a.chunk.js.map',
            'static/static/js/8824.9b1d4eaa.chunk.js',
            'static/static/js/8824.9b1d4eaa.chunk.js.LICENSE.txt',
            'static/static/js/8824.9b1d4eaa.chunk.js.map',
            'static/static/js/8860.6847b918.chunk.js',
            'static/static/js/8860.6847b918.chunk.js.map',
            'static/static/js/8879.359b3676.chunk.js',
            'static/static/js/8879.359b3676.chunk.js.LICENSE.txt',
            'static/static/js/8879.359b3676.chunk.js.map',
            'static/static/js/8962.fab77659.chunk.js',
            'static/static/js/8962.fab77659.chunk.js.map',
            'static/static/js/9037.526f77c7.chunk.js',
            'static/static/js/9037.526f77c7.chunk.js.LICENSE.txt',
            'static/static/js/9037.526f77c7.chunk.js.map',
            'static/static/js/9198.8379bef6.chunk.js',
            'static/static/js/9198.8379bef6.chunk.js.LICENSE.txt',
            'static/static/js/9198.8379bef6.chunk.js.map',
            'static/static/js/9211.032694bd.chunk.js',
            'static/static/js/9211.032694bd.chunk.js.map',
            'static/static/js/9757.e1731581.chunk.js',
            'static/static/js/9757.e1731581.chunk.js.map',
            'static/static/js/main.86fd2f33.js',
            'static/static/js/main.86fd2f33.js.LICENSE.txt',
            'static/static/js/main.86fd2f33.js.map',
            'static/static/media/getFetch.c4cca45e22bc1b2c7d0d.cjs',
            'static/sw.js',
            'static/sw.js.map',
            'static/version.json',
            'static/workbox-9a84fccb.js',
            'static/workbox-9a84fccb.js.map',
            'templates/config.toml.j2',
            'templates/config_ini.toml.j2',
        ),
    },
    'packages': (
        'ai.backend.web',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.12,<3.13',
    'url': 'https://github.com/lablup/backend.ai',
    'version': """24.09.1rc2
""",
    'zip_safe': False,
})
